---
{{ template "common.Secret" (list . "invidious.Secret") }}

{{- define "invidious.Secret" }}
metadata:
  name: {{ template "common.fullname" . }}-config
stringData:
  config.yml: |
    db:
      host: {{ .Values.config.databaseHost }}
      port: {{ .Values.config.databasePort }}
      user: {{ .Values.config.databaseUser }}
      password: {{ .Values.config.databasePassword | quote }}
      dbname: {{ .Values.config.databaseName }}
    port: 3000
    check_tables: true
    hmac_key: {{ .Values.config.hmacKey | quote }}
    {{- with .Values.ingress.host }}
    domain: {{ . }}
    {{- end }}
    https_only: {{ .Values.ingress.tlsEnabled }}
    external_port: {{ if not .Values.ingress.tlsEnabled }}80{{ else }}443{{ end }}
    {{- with .Values.config.extra }}
      {{- toYaml . | nindent 4}}
    {{- end }}
{{- end }}
